Fel vid activating i MacPorts

Tråden skapades och har fått 2 svar. Det senaste inlägget skrevs .
1

Hej.

Installerade nyss MacPorts 1.4 i Mac OS X och tänkte installera tetex, men fick det här felmeddelandet:

---> Fetching expat
---> Attempting to fetch expat-2.0.0.tar.gz from http://downloads.sourceforge.net/expat
---> Verifying checksum(s) for expat
---> Extracting expat
---> Configuring expat
---> Building expat with target all
---> Staging expat into destroot
---> Installing expat 2.0.0_1
---> Activating expat 2.0.0_1
Error: Target com.apple.activate returned: Image error: expat 2.0.0_1 not installed as an image.
Error: The following dependencies failed to build: gawk gettext expat libiconv ghostscript gsed texi2html texinfo ncurses ncursesw
Error: Status 1 encountered during processing.

Jag har provat att istället använda en tidigare version av DarwinPorts men utan annat resultat. Felmeddelandet säger mig tyvärr inte så mycket om vad jag bör göra.

  • Medlem
  • Stockholm
  • 2007-05-02 21:34

bygg med "-d" flaggan så får du debug info, just nu ser det mest ut som om den inte lyckas bygga någon av dependency delarna..

du har annars Xcode installerat?

Xcode var installerat.

Jag har haft en del andra halvskumma problem nyligen. Tröttnade, gjorde en backup och körde arkivera och installera. Nu när jag kör MacPorts verkar det fungera som det ska.

1
Bevaka tråden